This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 629551 - (ghc-gio) Review Request: ghc-gio - Haskell binding to glib's gio
Review Request: ghc-gio - Haskell binding to glib's gio
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-gtk
  Show dependency treegraph
 
Reported: 2010-09-02 05:58 EDT by Jens Petersen
Modified: 2010-11-11 10:53 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-gio-0.11.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-25 01:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-09-02 05:58:53 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-gio/ghc-gio.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-gio/ghc-gio-0.11.1-1.fc13.src.rpm
Description: 
Haskell binding to GIO from the gtk2hs project.

Also an optional builddep for ghc-gtk and required by leksah for example.
Comment 1 Ben Boeckel 2010-09-14 22:55:33 EDT
I'll take this.

An attempt to build it brought up:

Configuring gio-0.11.1...
Setup: At least the following dependencies are missing:
mtl -any
Comment 3 Ben Boeckel 2010-09-15 00:14:02 EDT
Here is the review:

 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

% lintmock fedora-14-x86_64-bb
ghc-gio.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-gio.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-gio-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-gio-prof.x86_64: E: devel-dependency ghc-gio-devel
ghc-gio-prof.x86_64: W: no-documentation
ghc-gio-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/gio-0.11.1/libHSgio-0.11.1_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.

Standard. Waived.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

% sha1sum gio-0.11.1.tar.gz ../SOURCES/gio-0.11.1.tar.gz
6ecb65d08c82c7253210409c53b593ff6225bda3  gio-0.11.1.tar.gz
6ecb65d08c82c7253210409c53b593ff6225bda3  ../SOURCES/gio-0.11.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

Linked above.

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: use %find_lang macro for .po translations
[+] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package APPROVED
Comment 4 Jens Petersen 2010-09-15 00:47:00 EDT
Thanks


New Package SCM Request
=======================
Package Name: ghc-gio
Short Description: Haskell binding to glib2 gio
Owners: petersen
Branches: f14
InitialCC: haskell-sig
Comment 5 Jens Petersen 2010-09-16 00:13:36 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2010-09-16 00:53:50 EDT
Built for f15:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2470600
Comment 7 Fedora Update System 2010-09-16 01:04:51 EDT
ghc-gio-0.11.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-gio-0.11.1-2.fc14
Comment 8 Fedora Update System 2010-09-17 00:03:49 EDT
ghc-gio-0.11.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-gio'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-gio-0.11.1-2.fc14
Comment 9 Fedora Update System 2010-09-25 01:32:41 EDT
ghc-gio-0.11.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Jens Petersen 2010-11-10 02:50:07 EST
Package Change Request
======================
Package Name: ghc-gio
New Branches: f13 el6
Owners: petersen
InitialCC: haskell-sig
Comment 11 Jason Tibbitts 2010-11-11 10:53:42 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.